
#include "B4RDefines.h"
namespace B4R {
	
 	void B4RTone::initialize(Byte tonePin) {
		bn = new (be) Tone();
		bn->begin(tonePin);
	}
	
	void B4RTone::play(UInt frequency, ULong duration) {
		bn->play(frequency,duration);
	}	
	
	void B4RTone::stop() {
		bn->stop();
	}	

	bool B4RTone::isPlaying() {
		return bn->isPlaying();
	}	
	
}
